<?xml version="1.0" encoding="UTF-8"?>
<!--
/*
* Copyright 2014 - LAit SpA
*				 Realizzato da Icona Management srl su commessa LAit SpA
* Copyright 2015- LAit SpA
*                                                  Aggiornato da LAit SpA
*
* Concesso in licenza a norma dell'EUPL, versione 1.1 o
* successive dell'EUPL (la "Licenza")– non appena saranno
* approvate dalla Commissione europea;
* Non è possibile utilizzare l'opera salvo nel rispetto della Licenza.
* È possibile ottenere una copia della Licenza al seguente indirizzo:
*
* http://ec.europa.eu/idabc/eupl
*
* Salvo diversamente indicato dalla legge applicabile o
* concordato per iscritto, il software distribuito secondo
* i termini della Licenza è distribuito "TAL QUALE",
* SENZA GARANZIE O CONDIZIONI DI ALCUN TIPO,
* esplicite o implicite.
* Si veda la Licenza per la lingua specifica che disciplina
* le autorizzazioni e le limitazioni secondo i termini della
* Licenza.
*/
-->
<!-- =========== FULL CONFIGURATION FILE ================================== -->
<faces-config version="1.2" xmlns="http://java.sun.com/xml/ns/javaee"
 xmlns:xi="http://www.w3.org/2001/XInclude"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd">
 <component>
  <component-type>panelGrid</component-type>
  <component-class>it.laitspa.cpf.faces.utils.component.CpfPanelLayout</component-class>
  <property>
   <property-name>columns</property-name>
   <property-class>java.lang.Integer</property-class>
  </property>
  <property>
   <property-name>width</property-name>
   <property-class>java.lang.String</property-class>
  </property>
 </component>
 <validator>
  <validator-id>CFVal</validator-id>
  <validator-class>it.laitspa.cpf.faces.utils.validator.CodiceFiscaleValidator</validator-class>
  <property>
   <property-name>errorMessage</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>mustBeUnique</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>codice</property-name>
   <property-class>java.lang.Integer</property-class>
  </property>
 </validator>
 <validator>
  <validator-id>PIVAVal</validator-id>
  <validator-class>it.laitspa.cpf.faces.utils.validator.PartitaIvaValidator</validator-class>
  <property>
   <property-name>errorMessage</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>mustBeUnique</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>codice</property-name>
   <property-class>java.lang.Integer</property-class>
  </property>
  <property>
   <property-name>validatorType</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>componentStatoId</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>componentTipoFornitoreId</property-name>
   <property-class>java.lang.String</property-class>
  </property>
 </validator>
 <validator>
  <validator-id>IBANVal</validator-id>
  <validator-class>it.laitspa.cpf.faces.utils.validator.CodiceIbanValidator</validator-class>
  <property>
   <property-name>errorMessage</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>type</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>messageType</property-name>
   <property-class>java.lang.String</property-class>
  </property>
 </validator>

 <validator>
  <validator-id>REGEXVal</validator-id>
  <validator-class>it.laitspa.cpf.faces.utils.validator.RegexValidator</validator-class>
  <property>
   <property-name>errorMessage</property-name>
   <property-class>java.lang.String</property-class>
  </property>
  <property>
   <property-name>pattern</property-name>
   <property-class>java.lang.String</property-class>
  </property>
 </validator>
</faces-config>
